Skip to main content
GET
/
api
/
v1
/
projects
/
{projectId}
Get a project
curl --request GET \
  --url https://api.melius.com/api/v1/projects/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-team-id: <api-key>'
import requests

url = "https://api.melius.com/api/v1/projects/{projectId}"

headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};

fetch('https://api.melius.com/api/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdByName": "<string>",
  "canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canvases": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "nodeCount": 123,
      "sortOrder": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "previewAssets": [
        {
          "url": "<string>",
          "thumbnailUrl": "<string>"
        }
      ]
    }
  ],
  "isPublic": true,
  "previewAssets": [
    {
      "url": "<string>",
      "thumbnailUrl": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "lastEditAt": "2023-11-07T05:31:56Z"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

projectId
string<uuid>
required

Response

200

id
string<uuid>
required
teamId
string<uuid>
required
folderId
string<uuid> | null
required
title
string
required
description
string | null
required
createdByUserId
string<uuid> | null
required
createdByName
string | null
required
canvasId
string<uuid>
required
canvases
object[]
required
shareMode
enum<string>
required
Available options:
restricted,
view
isPublic
boolean
required
previewAssets
object[]
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
lastEditAt
string<date-time>
required
Last modified on July 9, 2026